#############################################################################################
#############################################################################################
##
## DOCMAN-TARGETS
##
#############################################################################################
#############################################################################################

ifeq ($(DOCMAN_BIN),) 
  $(error "$(DOCMAN_BIN) is not installed. Please check your makefile and include the docman.mk")
endif

$(DOCMAN_HTML_ARTEFACT): $(DOCMAN_BIN) $(DOCMAN_SOURCE)
	$(ECHOMARKER) "Build HTML Documentation"
	$(QUIET) $(DOCMAN_BIN) document html --config $(DOCMAN_CONFIG_PATH)

$(DOCMAN_PDF_ARTEFACT): $(DOCMAN_BIN) $(DOCMAN_SOURCE)
	$(ECHOMARKER) "Build PDF Documentation"
	$(QUIET) $(DOCMAN_BIN) document pdf --config $(DOCMAN_CONFIG_PATH)

.PHONY: build-doc-pdf
## creating the documentation in pdf format
build-doc-pdf: $(DOCMAN_PDF_ARTEFACT)

.PHONY: build-doc-html
## creating the documentation in html format
build-doc-html: $(DOCMAN_HTML_ARTEFACT)

.PHONY: build-doc
## creating the documentation in pdf and html format
build-doc: build-doc-pdf build-doc-html





