#############################################################################################
#############################################################################################
##
## BUILD NODE
##
#############################################################################################
#############################################################################################

SPONGE   ?=   sponge

EXECUTABLES = $(EXECUTABLES:-) $(SPONGE);


.PHONY: node-create-polyfill
## create polyfill.io url
node-create-polyfill: $(MJS_RELATIVE_SOURCE_FILES) $(NODE_PACKAGES)
	$(ECHOMARKER) "create and replace polyfill"
	$(QUIET) $(DEVELOPMENT_SCRIPTS_PATH)create-polyfill.sh $(MJS_RELATIVE_SOURCE_FILES)


.PHONY: node-build
## Build Node Components
node-build: $(NODE_MODULES_MODIFIED) $(NODE_PACKAGES)
	$(ECHOMARKER) "Building Node Components"
	$(ECHO) "Version: $(PROJECT_VERSION)"
	$(ECHO) "Source Path: $(SOURCE_PATH)"
	$(QUIET) $(JQ) '.version = "$(PROJECT_VERSION)"' $(PACKAGE_JSON) | $(SPONGE) $(PACKAGE_JSON)
	$(QUIET) for p in $(NODE_PACKAGES); do $(JQ) '.version = "$(PROJECT_VERSION)"' $${p} | $(SPONGE) $${p}; done
	$(QUIET) $(SCRIPTS_PATH)update-version.sh
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run --if-present build 
		

